import request from '@/utils/request'

// 查询文化知识点关系列表
export function listLearnCultureKnowledge(query) {
  return request({
    url: '/learn/learnCultureKnowledge/list',
    method: 'get',
    params: query
  })
}

// 查询文化知识点关系详细
export function getLearnCultureKnowledge(id) {
  return request({
    url: '/learn/learnCultureKnowledge/' + id,
    method: 'get'
  })
}

// 新增文化知识点关系
export function addLearnCultureKnowledge(data) {
  return request({
    url: '/learn/learnCultureKnowledge',
    method: 'post',
    data: data
  })
}

// 修改文化知识点关系
export function updateLearnCultureKnowledge(data) {
  return request({
    url: '/learn/learnCultureKnowledge',
    method: 'put',
    data: data
  })
}

// 删除文化知识点关系
export function delLearnCultureKnowledge(id) {
  return request({
    url: '/learn/learnCultureKnowledge/' + id,
    method: 'delete'
  })
}
